# Class GetDataResponse

#### Hierarchy

- unknown
  - GetDataResponse

- Defined in src/protobuf/pb_pb.d.ts:349
- Defined in src/protobuf/pb_pb.d.ts:382

#####
Index

### Constructors

constructor

### Methods

addDataSet
addPersistableNetworkPayloadItems
addSupportedCapabilities
clearDataSetList
clearPersistableNetworkPayloadItemsList
clearSupportedCapabilitiesList
getDataSetList
getIsGetUpdatedDataResponse
getPersistableNetworkPayloadItemsList
getRequestNonce
getSupportedCapabilitiesList
getWasTruncated
serializeBinary
setDataSetList
setIsGetUpdatedDataResponse
setPersistableNetworkPayloadItemsList
setRequestNonce
setSupportedCapabilitiesList
setWasTruncated
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetDataResponse(): GetDataResponse

- #### Returns GetDataResponse

  Inherited from jspb.Message.constructor

## Methods

### addDataSet

- addDataSet(value?: StorageEntryWrapper, index?: number): StorageEntryWrapper

- #### Parameters

  - ##### `Optional` value: StorageEntryWrapper

  - ##### `Optional` index: number

  #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:359

### addPersistableNetworkPayloadItems

- addPersistableNetworkPayloadItems(value?: PersistableNetworkPayload, index?: number): PersistableNetworkPayload

- #### Parameters

  - ##### `Optional` value: PersistableNetworkPayload

  - ##### `Optional` index: number

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:369

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetDataResponse

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:364

### clearDataSetList

- clearDataSetList(): GetDataResponse

- #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:358

### clearPersistableNetworkPayloadItemsList

- clearPersistableNetworkPayloadItemsList(): GetDataResponse

- #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:368

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetDataResponse

- #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:363

### getDataSetList

- getDataSetList(): StorageEntryWrapper[]

- #### Returns StorageEntryWrapper[]

  - Defined in src/protobuf/pb_pb.d.ts:356

### getIsGetUpdatedDataResponse

- getIsGetUpdatedDataResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:353

### getPersistableNetworkPayloadItemsList

- getPersistableNetworkPayloadItemsList(): PersistableNetworkPayload[]

- #### Returns PersistableNetworkPayload[]

  - Defined in src/protobuf/pb_pb.d.ts:366

### getRequestNonce

- getRequestNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:350

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:361

### getWasTruncated

- getWasTruncated(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:371

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:374

### setDataSetList

- setDataSetList(value: StorageEntryWrapper[]): GetDataResponse

- #### Parameters

  - ##### value: StorageEntryWrapper[]

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:357

### setIsGetUpdatedDataResponse

- setIsGetUpdatedDataResponse(value: boolean): GetDataResponse

- #### Parameters

  - ##### value: boolean

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:354

### setPersistableNetworkPayloadItemsList

- setPersistableNetworkPayloadItemsList(value: PersistableNetworkPayload[]): GetDataResponse

- #### Parameters

  - ##### value: PersistableNetworkPayload[]

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:367

### setRequestNonce

- setRequestNonce(value: number): GetDataResponse

- #### Parameters

  - ##### value: number

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:351

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetDataResponse

- #### Parameters

  - ##### value: number[]

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:362

### setWasTruncated

- setWasTruncated(value: boolean): GetDataResponse

- #### Parameters

  - ##### value: boolean

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:372

### toObject

- toObject(includeInstance?: boolean): GetDataResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetDataResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:375

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDataResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:378

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDataResponse, reader: BinaryReader): GetDataResponse

- #### Parameters

  - ##### message: GetDataResponse

  - ##### reader: BinaryReader

  #### Returns GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:379

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDataResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetDataResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:377

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetDataResponse): GetDataResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDataResponse

  #### Returns GetDataResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:376

Generated using TypeDoc